which ruby on rails version best to create web aplication

They probably mean edge rails(the master branch) which might be unstable.
It’s completely alright to use the latest stable release of rails, got through rubygems to develop applications.

all better start using rails 4